#ifndef _H_51F071378AB992FD91DBBF4FE65C1F4B_DisparityImage__H_
#define _H_51F071378AB992FD91DBBF4FE65C1F4B_DisparityImage__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"
#include "sensor_msgs/msg/dds_opensplice/Image_.h"
#include "sensor_msgs/msg/dds_opensplice/RegionOfInterest_.h"


namespace stereo_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  DisparityImage_
            {
                ::std_msgs::msg::dds_::Header_ header_;
                ::sensor_msgs::msg::dds_::Image_ image_;
                ::DDS::Float f_;
                ::DDS::Float t_;
                ::sensor_msgs::msg::dds_::RegionOfInterest_ valid_window_;
                ::DDS::Float min_disparity_;
                ::DDS::Float max_disparity_;
                ::DDS::Float delta_d_;
            };

            typedef DDS_DCPSStruct_var<DisparityImage_> DisparityImage__var;
            typedef DDS_DCPSStruct_out < DisparityImage_> DisparityImage__out;

        }

    }

}

#endif /* _H_51F071378AB992FD91DBBF4FE65C1F4B_DisparityImage__H_ */
